/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: DataBaseEventExtractor.java 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring;

import java.io.IOException;
import java.text.ParseException;

import javax.naming.NamingException;

import org.ow2.jasmine.event.beans.JasmineEventEB;
import org.ow2.jasmine.monitoring.common.util.extractor.AbstractJasmineEventDataExtractor;
import org.ow2.jasmine.monitoring.eventswitch.beans.JasmineEventSLBRemote;

/**
 * Class for the extraction of the data form a database
 * Extending AbstractJasmineEventDataExtractor located in EventSwitch/modules/extractor
 *
 * @author Christophe Merisier
 *
 */

public class DataBaseEventExtractor extends AbstractJasmineEventDataExtractor {

    /**
     * Reference to the bean.
     */
    public JasmineEventSLBRemote remote = null;

	public DataBaseEventExtractor() {
        super();
	}

	public void extractData(final String[] args) throws NamingException, ParseException, IOException{

	    JasmineEventEB[] events = this.getEvents(args);

	}

}
